# stdex: stdex::parser::basic_json_string< T > Class Template Reference

Loading...
Searching...
No Matches
stdex::parser::basic_json_string< T > Class Template Reference

Test for JSON string. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_json_string< T >:

## Public Member Functions

basic_json_string (const std::shared_ptr< basic_parser< T > > &quote, const std::shared_ptr< basic_parser< T > > &chr, const std::shared_ptr< basic_parser< T > > &escape, const std::shared_ptr< basic_parser< T > > &sol, const std::shared_ptr< basic_parser< T > > &bs, const std::shared_ptr< basic_parser< T > > &ff, const std::shared_ptr< basic_parser< T > > &lf, const std::shared_ptr< basic_parser< T > > &cr, const std::shared_ptr< basic_parser< T > > &htab, const std::shared_ptr< basic_parser< T > > &uni, const std::shared_ptr< basic_integer16< T > > &hex, const std::locale &locale=std::locale())

virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< T, std::char_traits< T > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

std::basic_string< T > | value
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Member Functions

virtual bool | do_match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Protected Attributes

std::shared_ptr< basic_parser< T > > | m_quote
std::shared_ptr< basic_parser< T > > | m_chr
std::shared_ptr< basic_parser< T > > | m_escape
std::shared_ptr< basic_parser< T > > | m_sol
std::shared_ptr< basic_parser< T > > | m_bs
std::shared_ptr< basic_parser< T > > | m_ff
std::shared_ptr< basic_parser< T > > | m_lf
std::shared_ptr< basic_parser< T > > | m_cr
std::shared_ptr< basic_parser< T > > | m_htab
std::shared_ptr< basic_parser< T > > | m_uni
std::shared_ptr< basic_integer16< T > > | m_hex
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_json_string< T >

Test for JSON string.

## Member Function Documentation

## do_match()

template<class T >

virtual bool stdex::parser::basic_json_string< T >::do_match | ( | _In_reads_or_z_opt_(end) const T * | text,
|  | size_t | start = 0,
|  | size_t | end = SIZE_MAX,
|  | int | flags = match_default )

inlineprotectedvirtual

Implements stdex::parser::basic_parser< T >.

## invalidate()

template<class T >

virtual void stdex::parser::basic_json_string< T >::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp